searchNodes=[{"type":"module","title":"Needle.ULID","doc":"An Ecto type for ULID strings.","ref":"Needle.ULID.html"},{"type":"function","title":"Needle.ULID.bingenerate/1","doc":"Generates a binary ULID. If a value is provided for timestamp , the generated ULID will be for the provided timestamp. Otherwise, a ULID will be generated for the current time. Arguments: timestamp : A Unix timestamp with millisecond precision.","ref":"Needle.ULID.html#bingenerate/1"},{"type":"function","title":"Needle.ULID.bintimestamp/1","doc":"","ref":"Needle.ULID.html#bintimestamp/1"},{"type":"function","title":"Needle.ULID.cast/1","doc":"Casts a 26-byte encoded string to ULID or a 16-byte binary unchanged","ref":"Needle.ULID.html#cast/1"},{"type":"function","title":"Needle.ULID.cast!/1","doc":"Same as cast/1 but raises Ecto.CastError on invalid arguments.","ref":"Needle.ULID.html#cast!/1"},{"type":"function","title":"Needle.ULID.dump/1","doc":"Converts a Crockford Base32 encoded ULID into a binary.","ref":"Needle.ULID.html#dump/1"},{"type":"function","title":"Needle.ULID.dump!/1","doc":"","ref":"Needle.ULID.html#dump!/1"},{"type":"function","title":"Needle.ULID.embed_as/1","doc":"Callback implementation for Ecto.Type.embed_as/1 .","ref":"Needle.ULID.html#embed_as/1"},{"type":"function","title":"Needle.ULID.encoded_randomness/1","doc":"Returns the randomness portion of the encoded ulid","ref":"Needle.ULID.html#encoded_randomness/1"},{"type":"function","title":"Needle.ULID.encoded_timestamp/1","doc":"Returns the timestamp portion of the encoded ulid","ref":"Needle.ULID.html#encoded_timestamp/1"},{"type":"function","title":"Needle.ULID.equal?/2","doc":"Callback implementation for Ecto.Type.equal?/2 .","ref":"Needle.ULID.html#equal?/2"},{"type":"function","title":"Needle.ULID.generate/1","doc":"Generates a Crockford Base32 encoded ULID. If a value is provided for timestamp , the generated ULID will be for the provided timestamp. Otherwise, a ULID will be generated for the current time. Arguments: timestamp : A Unix timestamp with millisecond precision.","ref":"Needle.ULID.html#generate/1"},{"type":"function","title":"Needle.ULID.load/1","doc":"Converts a binary ULID into a Crockford Base32 encoded string.","ref":"Needle.ULID.html#load/1"},{"type":"function","title":"Needle.ULID.synthesise!/1","doc":"translates alphanumerics into a sentinel ulid value","ref":"Needle.ULID.html#synthesise!/1"},{"type":"function","title":"Needle.ULID.timestamp/1","doc":"Returns the timestamp of an encoded or unencoded ULID","ref":"Needle.ULID.html#timestamp/1"},{"type":"function","title":"Needle.ULID.type/0","doc":"The underlying schema type.","ref":"Needle.ULID.html#type/0"},{"type":"module","title":"Needle.ULID.Migration","doc":"","ref":"Needle.ULID.Migration.html"},{"type":"function","title":"Needle.ULID.Migration.init_pointers_ulid_extra/0","doc":"","ref":"Needle.ULID.Migration.html#init_pointers_ulid_extra/0"},{"type":"function","title":"Needle.ULID.Migration.init_pointers_ulid_extra/1","doc":"","ref":"Needle.ULID.Migration.html#init_pointers_ulid_extra/1"},{"type":"extras","title":"Needle.ULID","doc":"hexdocs A ULID datatype and some postgres support for ULID operations ( min and max functions and aggregates) Originally forked from ecto-ulid but the internals have been replaced with a dependency on ex_ulid","ref":"readme.html"},{"type":"extras","title":"Needle.ULID - Installation","doc":"{ :needle_ulid , git : &quot;https://github.com/bonfire-networks/needle_ulid&quot; , branch : &quot;main&quot; }","ref":"readme.html#installation"},{"type":"extras","title":"Needle.ULID - Copyright and License","doc":"Copyright (c) 2018 The RealReal, Inc. Copyright (c) 2020 needle_ulid contributors. Licensed under the terms of the MIT License. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"readme.html#copyright-and-license"}]